#include <hidef.h>      /* common defines and macros */
#include <MC9S12I32.h>  /* derivative information */
#include "calango.h"    /* derivative information */

/* Interrupt service routine Prototypes ------------------------- */
#pragma CODE_SEG NON_BANKED
void _dummyISR(void);   /* Dummy IRQ placeholder                  */
void _OSCMON(void);     /* 0xFFFC Oscillator monitor reset        */
void _COPWD(void);      /* 0xFFFA COP watchdog reset              */
void _UIT(void);        /* 0xFFF8 Unimplemented instruction trap  */
void _SWI(void);        /* 0xFFF6 SWI                             */
void _D2DERR(void);     /* 0xFFF4 D2DI Error Interrupt            */
void _D2D(void);        /* 0xFFF2 D2DI External Error Interrupt   */
void _RTI(void);        /* 0xFFF0 Real time interrupt             */
void _SPI(void);        /* 0xFFD8 SPI                             */
void _CRGFLL(void);     /* 0xFFC6 CRG FLL lock                    */
void _FLASH(void);      /* 0xFFB8 FLASH                           */
void _SIRQ(void);       /* 0xFF80 Spurious Interrupt              */
#pragma CODE_SEG DEFAULT
/* -------------------------------------------------------------- */
void main(void) {
volatile char rsr, vsr, srr; 
/* D2D Init */

  D2DCTL1  = 0x8F;  // IRQ enable, max timeout
  D2DCTL0  = 0x80;  // D2D enable, 4Bit, !Stop in Wait, D2DCLK=BUS
  D2DSTAT0 = 0x80;  // Clear D2D Errors

  rsr = bRSR;       // Copy/Clear RSR
  vsr = bVSR;       // Copy/Clear VSR	
  srr = bSRR;       // Copy/Clear SRR	
 
  bCTR0 =  TRIM0;   // Copy Trim Information to Analog Die
  bCTR1 =  TRIM1;
//bCTR2 =  TRIM2;
  bCTR2 =  0x1E;    // Max VREG-Overvoltage Threshold Trim
  bCTR3 =  TRIM3;
 
  bLSCEN = 0x05;    // Enable LS Control
 
  bLSCR = 0x03;     // Activate LS
  
  bHSCR = 0x03;     // Activate HS
 
 
  for(;;) {         // Main Loop


  } //for(;;)  

} //main


/*****************************************************************************/
/* Start of interrupt service routines  */
/* placed into non-banked memory segment as vectors are only 2 bytes */

#pragma CODE_SEG NON_BANKED	
/******************************************************************************
Function Name	:	_OSCMON
******************************************************************************/
#pragma TRAP_PROC
void 
_OSCMON(void){}
/******************************************************************************
Function Name	:	_COPWD
******************************************************************************/
#pragma TRAP_PROC
void 
_COPWD(void){}
/******************************************************************************
Function Name	:	_UIT
******************************************************************************/
#pragma TRAP_PROC
void 
_UIT(void){}
/******************************************************************************
Function Name	:	_SWI
******************************************************************************/
#pragma TRAP_PROC
void 
_SWI(void){}
/******************************************************************************
Function Name	:	_D2DERR
******************************************************************************/
#pragma TRAP_PROC
void 
_D2DERR(void){}
/******************************************************************************
Function Name	:	_D2D
******************************************************************************/
#pragma TRAP_PROC
char temp;
void 
_D2D(void){}
/******************************************************************************
Function Name	:	_RTI
******************************************************************************/
#pragma TRAP_PROC
void _RTI(void){}
/******************************************************************************
Function Name	:	_SPI
******************************************************************************/
#pragma TRAP_PROC
void 
_SPI(void){}
/******************************************************************************
Function Name	:	_CRGFLL
******************************************************************************/
#pragma TRAP_PROC
void 
_CRGFLL(void){}
/******************************************************************************
Function Name	:	_FLASH
******************************************************************************/
#pragma TRAP_PROC
void 
_FLASH(void){}
/******************************************************************************
Function Name	:	_SIRQ
******************************************************************************/
#pragma TRAP_PROC
void 
_SIRQ(void){}
/******************************************************************************
Function Name	:	_dummyISR
Notes			    :	interrupt service routine for unused interrupt vectors. 
******************************************************************************/
#pragma TRAP_PROC
void 
_dummyISR( void )
{
    for(;;);	/* endless loop */
}
/* End of interrupt service routines  */
/* reset code segment to default */
#pragma CODE_SEG DEFAULT
